import $http from "./request/requestConfig"
import {
    BASE_URI
} from "../pages/utils/constant.js";
import qs from 'qs';

const baseUri = '/smartParkH5Server'
const parkActivity = '/wx/meetingAppoint'
export function login(data) {
    return $http.post(
        '/wx/auth/login_by_app_main?' + qs.stringify(data), {}, {})

}
export function loginByCompany(data) {
    return $http.post(
        '/wx/auth/loginByCompany',
        data, {}
    )
}
export function addRectificationManagement(data) {

    return $http.post(
        '/wx/RectificationController/addRectificationManagement',
        data, {}
    )
}
export function loginByWeixin2(code) {

    return $http.post(
        '/wx/auth/login_by_weixin2',
        code, {}
    )
}
export function switchCommonUser(code) {

    return $http.post(
        '/wx/auth/switchCommonUser',
        code, {}
    )
}
export function getUserLocalStorageInfo() {
    const userInfo = JSON.parse(
        uni.getStorageSync("USERINFO"));
    return userInfo
}
export function uploadPDF() {
    uni.showLoading({
        title: '加载中',
        mask: true
    });
    return new Promise((resolve, reject) => {
        uni.chooseMessageFile({
            count: 1, //默认100
            type: 'file',
            success: (res) => {
                uni.uploadFile({
                    url: BASE_URI + "/wx/fileController/upload",
                    filePath: res.tempFiles[0].path,
                    name: "file",
                    formData: {
                        user: "test"
                    },
                    success(successRes) {
                        // 上传完成需要更新 fileList
                        let data = JSON.parse(successRes.data);
                        uni.showToast({
                            title: '提交成功',
                            duration: 500
                        });
                        resolve({
                            url: data.data[0],
                            name: res.tempFiles[0].name
                        })

                    },
                    fail(res) { },
                });

            },
            fail(e) {
                uni.showToast({
                    title: '提交成功',
                    duration: 0
                });
            }
        });
    })
}
export function getBuildDetails(data) {
    return $http.post(
        '/wx/MnpBuildingController/getById',
        data, {}
    )
}

export function addZaiti(data) {
    return $http.post(
        '/wx/ParkRoomController/add',
        data, {}
    )
}
export function getCompanyById2(data) {
    return $http.post(
        '/wx/roadShow/getCompanyById',
        data, {}
    )
}
export function add(data) {
    return $http.post(
        '/wx/repair/add',
        data, {}
    )
}


export function getPartyBranchList(data) {
    return $http.post(
        '/wx/partyBranch/getPartyBranchList',
        data, {}
    )
}
export function selectByCompanyId(data) {
    return $http.post(
        '/wx/SocialCarrierController/selectByCompanyId',
        data, {}
    )
}
export function getTreeData2(data) {
    return $http.post(
        '/wx/ParkInfoController/getTreeData2',
        data, {}
    )
}
export function getTreeData6(data) {
    return $http.post(
        '/wx/ParkInfoController/getTreeData6',
        data, {}
    )
}
export function getActivationRanking(data) {
    return $http.post(
        '/wx/partyBranch/getActivationRanking',
        data, {}
    )
}
export function findRectificationManagementInOutList(data) {
    return $http.post(
        '/wx/RectificationController/findRectificationManagementInOutList',
        data, {}
    )
}

export function findRectificationManagementInOutById(e) {
    return $http.post(
        '/wx/RectificationController/findRectificationManagementInOutById', {
        id: e
    }, {}
    )
}
export function repairList(data) {
    return $http.post(
        '/wx/repair/list',
        data, {}
    )
} export function repairHandleList(data) {
    return $http.post(
        '/wx/repair/handleList',
        data, {}
    )
}

export function addSafetySelfCheckingManage(data) {
    return $http.post(
        '/wx/SafetyController/addSafetySelfCheckingManage',
        data, {}
    )
}
export function updateSafetySelfCheckingManage(data) {
    return $http.post(
        '/wx/SafetyController/updateSafetySelfCheckingManage',
        data, {}
    )
}
export function editRepair(data) {
    return $http.post(
        '/wx/repair/edit',
        data, {}
    )
}
export function addRepair(data) {
    return $http.post(
        '/wx/repair/add',
        data, {}
    )
}
export function getRepairDispatchById(id) {
    return $http.post(
        '/wx/repair/getById', {
        id: id
    }, {}
    )
}
export function getDispatchToPerson(data) {
    return $http.post(
        '/wx/repair/getDispatchToPerson',
        data, {}
    )
}
export function getCompanyById(data) {
    return $http.post(
        '/wx/roadShow/getCompanyById', data, {},
    )
}
export function getWxCompanyTags(e) {
    return $http.post(
        '/wx/MnpTagInfoController/tagInfoList', e, {}
    )
}

export function tagsBind(e) {
    return $http.post(
        '/wx/MnpTagInfoController/bind', e, {}
    )
}

export function saleControllerGetById(e) {
    return $http.post(
        '/wx/SaleController/getById', {
        id: e
    }, {}
    )
}
export function parkRoomGetById(e) {
    return $http.post(
        '/wx/ParkRoomController/getById', {
        id: e
    }, {}
    )
}

export function getAppUserMain(data) {
    return $http.post(
        '/wx/company/getById',
        data, {}
    )
}

export function parkRoomEdit(data) {
    return $http.post(
        '/wx/ParkRoomController/edit',
        data, {}
    )
}

export function confirmAudit(data) {
    return $http.post(
        '/wx/meetingAppoint/confirmAudit',
        data, {}
    )

}
export function getCompanyTags(e) {
    return $http.post(
        '/wx/MnpTagInfoController/getCompanyTags', e, {}
    )
}
export function getCompanyTagsByQybq(qybq) {
    return $http.post(
        '/wx/MnpTagInfoController/getCompanyTagsByQybq', {
        qybq: qybq
    }, {})
}
export function companyECdit(data) {
    return $http.post(
        '/wx/company/edit', data, {})
}

export function tagInfoList(e) {
    return $http.post(
        '/wx/MnpTagInfoController/tagInfoList',
        e, {})
}
export function findDeptList() {

    return $http.post(
        '/wx/SaleController/findDeptList', {}, {})

}
export function tagCategoryList() {
    return $http.post(
        '/wx/MnpTagController/tagCategoryList', {}, {}
    )
}
export function interviewEscalationListAll(id) {
    return $http.post('/wx/interviewEscalation/listAll', {
        companyId: id
    }, {})
}
export function getUserInfo(data) {
    let laocui_user_info = JSON.parse(uni.getStorageSync('laocui_user_info'))
    return $http.post(
        '/wx/frameUser/getMyInfo?userId=' + laocui_user_info.user.id, {}, {})

}

export function getRoomInfo(e) {
    return $http.post(
        '/wx/ParkRoomController/getById', {
        id: e
    }, {})
}
export function getCompanyHouseDetails(e) {
    return $http.post(
        '/wx/company/getById', {
        id: e
    }, {})
}
export function handleList(e) {
    return $http.post(
        '/wx/workPaneController/handleList',
        e, {})
}
export function readList(e) {
    return $http.post(
        '/wx/workPaneController/readList',
        e, {})
}

export function readListAll(e) {
    return $http.post(
        '/wx/workPaneController/readListAll',
        e, {})
}

// 获取待阅数量
export function getReadSizeByTypes(e) {
    return $http.post(
        '/wx/workPaneController/getReadSizeByTypes',
        e, {})
}

// 阅读待阅
export function userRead(e) {
    return $http.post(
        '/wx/workPaneController/userRead',
        e, {})
}

// 获取待办数量
export function getHandleSizeTypes(e) {
    return $http.post(
        '/wx/workPaneController/getHandleSizeTypes',
        e, {})
}

// 获取待办列表
export function handleListAll(e) {
    return $http.post(
        '/wx/workPaneController/handleListAll',
        e, {})
}


// handleList?
export function findCompanyTags(e) {
    return $http.post(
        '/wx/MnpTagInfoController/getCompanyTags/' + e, {}, {})
}
export function removeTagsBind(e) {
    return $http.post(
        '/wx/MnpTagInfoController/removeBind', e, {}
    )
}
export function addInterview(e) {

    return $http.post(
        "/wx/interviewEscalation/add", e, {})
}
export function editInterview(e) {
    return $http.post(
        "/wx/interviewEscalation/edit", e, {})
}
export function getInterviewList(e) {
    return $http.post(
        "/wx/interviewEscalation/list", e, {})
}
export function getInterviewDetails(e) {
    return $http.post(
        "/wx/interviewEscalation/getById", {
        id: e
    }, {})
}
export function findSafetySelfCheckingPlanById(e) {
    return $http.post(
        "/wx/SafetyController/findSafetySelfCheckingPlanById", {
        id: e
    }, {})
}
//
export function findSafetySelfCheckingPlanList(e) {
    return $http.post(
        "/wx/SafetyController/findSafetySelfCheckingPlanList",
        e, {})
}
export function getBySaveStatus(e) {
    return $http.post(
        "/wx/interviewEscalation/getBySaveStatus", {
        createdBy: e
    }, {})
}
export function companyExamineAdd(e) {
    return $http.post(
        "/wx/companyExamine/add", e, {})
}

export function companyExamineGetById(e) {
    return $http.post(
        "/wx/companyExamine/getById", e, {})
}

export function companyExamineExamine(e) {
    return $http.post(
        "/wx/companyExamine/examine", e, {})
}

export function listByModel(e) {
    return $http.post(
        '/wx/SaleController/findSaleManagementListByRoomId',
        e, {})
}
export function listVo(e) {
    // 查询园区列表，不需要参数
    return $http.post(
        '/wx/company/listVo', e, {})
}
// /wx/SafetyController/addSafetySelfCheckingPlan
export function addSafetySelfCheckingPlan(e) {
    // 查询园区列表，不需要参数
    return $http.post(
        '/wx/SafetyController/addSafetySelfCheckingPlan', {
        ...e
    }, {})
}
export function findSafetySelfCheckingManagetById(e) {

    // 查询园区列表，不需要参数
    return $http.post(
        '/wx/SafetyController/findSafetySelfCheckingManagetById', {
        id: e
    }, {})
}
export function findSafetySelfCheckingManageList(e) {

    // 查询园区列表，不需要参数
    return $http.post(
        '/wx/SafetyController/findSafetySelfCheckingManageList', e, {})
}
export function findYuanQuList() {
    // 查询园区列表，不需要参数
    return $http.post(
        '/wx/SaleController/findYuanQuList', {}, {})
}
export function findLongPanList(id) {
    // 用园区ID查询楼盘列表
    return $http.post(
        '/wx/SaleController/findLouPanList', {
        id: id
    }, {})
}
export function findLouDongList(id) {
    // 用园区ID查询楼盘列表
    return $http.post(
        '/wx/SaleController/findLouDongList', {
        id: id
    }, {})
}
export function clickCollect(e) {
    return $http.post(
        '/wx/parkActivity/clickCollect',
        e, {})
}
export function insertRegisSignInfo(e) {
    return $http.post(
        '/wx/parkActivity/insertRegisSignInfo',
        e, {})
}

export function richScan(e) {
    return $http.post(
        '/wx/parkActivity/richScan',
        e, {})
}
export function getActivityById(id, signInCode, userId) {
    return $http.get(
        '/wx/parkActivity/getBySignInCode?id=' + id + '&userId=' + userId + "&signInCode=" + signInCode, {}, {})
}
// /wx/userPower/getUserPower?userId=1088765543780974592
export function getUserPower(e) {
    return $http.post(
        '/wx/userPower/getUserPower', {
        userId: e
    }, {})
}
export function editPassword(e) {
    return $http.post(
        '/wx/frameUser/editPassword', e, {})
}

export function updateListRectificationManagement(e) {

    return $http.post(
        '/wx/RectificationController/updateListRectificationManagement', e, {})
}
// /wx/RectificationController/findUserListByRoleWuye
export function findUserListByRoleWuye() {
    // 用园区ID查询楼盘列表
    return $http.post(
        '/wx/RectificationController/findUserListByRoleWuye',

        {}, {})
}
export function listAllUserMain() {
    // 用园区ID查询楼盘列表
    return $http.post(
        '/wx/UserMainExpandController/listAllUserMain',

        {}, {})
}
export function userList(e) {
    // http://192.168.2.112:9011/wx/frameUser/userList
    return $http.post(
        '/wx/frameUser/userList',
        e
        , {})
}
export function findAllSimpleCompanies(e) {
    // http://192.168.2.112:9011/wx/frameUser/userList
    return $http.post(
        '/wx/company/findAllSimpleCompanies', { searchInfo: e.qymc, pageNum: 1, pageSize: 10000 }, {})
}

export function findTrackUserList() {
    // http://192.168.2.112:9011/wx/frameUser/userList
    return $http.post(
        '/wx/SaleController/findTrackUserList', {}, {})
}
export function getSelectUserTwo(e) {

    // 用园区ID查询楼盘列表
    return $http.post(
        '/wx/frameUser/getSelectUserTwo', {
        searchName: e
    }, {})
}
export function getSelectDeptTwo(e) {
    // 用园区ID查询楼盘列表
    return $http.post(
        '/wx/frameUser/getSelectDeptTwo',

        {
            searchName: e
        }, {})
}
export function findRoomInfoListByIds(e) {
    // 用园区ID查询楼盘列表
    return $http.post(
        '/wx/SaleController/findRoomInfoListByIds',

        {
            ids: e
        }, {})
}
export function findCompanyList() {
    // 用园区ID查询楼盘列表
    return $http.post(
        '/wx/SaleController/findCompanyList', {}, {})
}

export function addyixiang(e) {
    return $http.post(
        '/wx/SaleController/add',
        e, {})
}
export function editSave(e) {
    return $http.post(
        '/wx/SaleController/editSave',
        e, {})
}
export function findCompanyInfoList(data) {
    return $http.post(
        "/wx/SaleController/findCompanyInfoList",
        data, {}
    )
}
export function findRoomByCondition(params) {
    // 用园区ID查询楼盘列表
    return $http.post(
        '/wx/SaleController/findRoomByCondition', params, {})

}

export function findRoomByConditionExcel(params) {
    // 用园区ID查询楼盘列表
    return $http.post(
        '/wx/SaleController/findRoomByConditionExcel', params, {})

}

export function getCompanyAll(qymc) {
    return $http.post(
        '/wx/company/listAll', {
        qymc: qymc ? qymc : ""
    }, {})

}
export function getByCodes(params) {
    // 用园区ID查询楼盘列表
    return $http.post(
        '/wx/sysDict/getByCodes',

        {
            codes: params
        }, {})
}



export function list(data) {
    return $http.post(
        parkActivity + '/getMeetingAppointList',
        data, {}
    )
}

export function listApp(data) {
    return $http.post(
        parkActivity + '/getMeetingAppointListApp',
        data, {}
    )
}





export function cancelAppoint(data) {
    return $http.post(
        parkActivity + '/cancelAppoint',
        data, {}
    )
}


// /wx/SaleController/
export function getRepairList(data) {
    return $http.post(
        '/wx/repair/list',
        data, {}
    )
}
export function editHomeCommunityActivity(data) {
    return $http.post(
        '/wx/homeActivity/editHomeCommunityActivity',
        data, {}
    )
}
export function listHomeCommunityActivity(data) {
    return $http.post(
        '/wx/homeActivity/listHomeCommunityActivity',
        data, {}
    )
}
export function insertHomeCommunityActivity(data) {
    return $http.post(
        '/wx/homeActivity/insertHomeCommunityActivity',
        data, {}
    )
}
export function activityList(data) {
    return $http.post(
        '/wx/homeActivity/list',
        data, {}
    )
}
export function parkListAll(data) {
    return $http.post(
        '/wx/parkBrief/listAll',
        data, {}
    )
}
export function ParkInfoControllerListAll(data) {
    return $http.post(
        '/wx/ParkInfoController/listAll',
        data, {}
    )
}
export function parkBriefGetBridf(data) {
    return $http.post(
        '/wx/parkBrief/getBridf',
        data, {}
    )
}

// 报名
export function updateRegistration(data) {
    return $http.post(
        '/wx/homeActivity/updateRegistration',
        data, {}
    )
}

// 查询活动详情
export function getHomeCommunityActivityById(data) {
    return $http.post(
        '/wx/homeActivity/getHomeCommunityActivityById',
        data, {}
    )
}

// 查询企业是否报名
export function isRegistration(data) {
    return $http.post(
        '/wx/homeActivity/isRegistration',
        data, {}
    )
}

//查询企业报名信息
export function getRegistrationInfo(data) {
    return $http.post(
        '/wx/homeActivity/getRegistrationInfo',
        data, {}
    )
}

//签到
export function updateSignIn(data) {
    return $http.post(
        '/wx/homeActivity/updateSignIn',
        data, {}
    )
}

export function isFinishComInfo(data) {
    return $http.post(
        '/wx/company/isFinishComInfo',
        data, {}
    )
}
export function getById(data) {
    return $http.post(
        '/wx/company/getById',
        data, {}
    )
}
export function addCompanyExamine(data) {
    return $http.post(
        '/wx/companyExamine/add',
        data, {}
    )
}
export function upload(data) {
    return $http.post(
        '/wx/fileController/upload',
        data, {}
    )
}
export function newNotice(data) {
    return $http.post(
        '/wx/noticePark/newNotice',
        data, {}
    )
}
export function noticeParkList(data) {
    return $http.post(
        '/wx/noticePark/list',
        data, {}
    )
}
export function propertyNoticeList(data) {
    return $http.post(
        '/wx/propertyNotice/list',
        data, {}
    )
}
export function noticeParkClickCollect(data) {
    return $http.post(
        '/wx/noticePark/clickCollect',
        data, {}
    )
}
export function propertyNoticeClickCollect(data) {
    return $http.post(
        '/wx/propertyNotice/clickCollect ',
        data, {}
    )
}
export function homeActivityClickCollect(data) {
    return $http.post(
        '/wx/homeActivity/clickCollect ',
        data, {}
    )
}
export function userNoticeAdd(data) {
    return $http.post(
        '/wx/userNotice/add',
        data, {}
    )
}
// 园区通知发布
export function noticeParkAdd(data) {
    return $http.post(
        '/wx/noticePark/add',
        data, {}
    )
}
export function noticeParkGetById(data) {
    return $http.post(
        '/wx/noticePark/getById',
        data, {}
    )
}
// 园区通知编辑
export function noticeParkEdit(data) {
    return $http.post(
        '/wx/noticePark/edit',
        data, {}
    )
}

// 新增我的反馈
export function parkFeedbackInfoAdd(data) {
    return $http.post(
        '/wx/parkFeedbackInfo/add',
        data, {}
    )
}
// 新增我的反馈
export function parkFeedbackInfoList(data) {
    return $http.post(
        '/wx/parkFeedbackInfo/list',
        data, {}
    )
}
// 获取我的反馈详情
export function parkFeedbackInfoGetById(data) {
    return $http.get(
        '/wx/parkFeedbackInfo/getById',
        data, {}
    )
}
// 我的收藏列表
export function parkUserCollectorsList(data) {
    return $http.post(
        '/wx/parkUserCollectors/list',
        data, {}
    )
}
// 产业政策列表
export function policyList(data) {
    return $http.post(
        '/wx/policy/list',
        data, {}
    )
}

// 产业政策类型
export function policyListAll(data) {
    return $http.post(
        '/wx/policyType/listAll',
        data, {}
    )
}
// 产业政策获取详情
export function policyGetById(data) {
    return $http.post(
        '/wx/policy/getById',
        data, {}
    )
}
// 经法填报列表
export function fillControllerList(data) {
    return $http.post(
        '/wx/fillController/list',
        data, {}
    )
}

// 经法填报详情
export function getByStag(data) {
    return $http.post(
        '/wx/fillController/getByStag',
        data, {}
    )
}

// 经法填报详情保存/提交
export function fillControllerEditSave(data) {
    return $http.post(
        '/wx/fillController/editSave',
        data, {}
    )
}
// 园区通知详情
export function getParkNoticeById(data) {
    return $http.post(
        '/wx/noticePark/getById',
        data, {}
    )
}
// 物业通知详情
export function getPropertyNoticeById(data) {
    return $http.post(
        '/wx/propertyNotice/getById',
        data, {}
    )
}
// 我的消息列表
export function getMsgList(data) {
    return $http.post(
        '/wx/WxParkSystemMsgInfoController/getMsgList',
        data, {}
    )
}

// 获取管家
export function getUserMainHouseKeeper(data) {
    return $http.post(
        '/wx/userRelation/getUserMainHouseKeeper',
        data, {}
    )
}

// 周边列表
export function peripheryList(data) {
    return $http.post(
        '/wx/periphery/list',
        data, {}
    )
}
// 获取周边详情
export function peripheryGetById(data) {
    return $http.post(
        '/wx/periphery/getById',
        data, {}
    )
}

export function peripheryAdd(data) {
    return $http.post(
        '/wx/periphery/add',
        data, {}
    )
}
export function peripheryEdit(data) {
    return $http.post(
        '/wx/periphery/edit',
        data, {}
    )
}
export function peripheryRemove(data) {
    return $http.post(
        '/wx/periphery/remove',
        data, {}
    )
}

// 报事报修提交
export function repairAdd(data) {
    return $http.post(
        '/wx/repair/add',
        data, {}
    )
}

// 企业账单列表
export function findBillManagementMoreForCollect(data) {
    return $http.post(
        '/wx/BillController/findBillManagementMoreForCollect',
        data, {}
    )
}

// 查看园区详情
export function getByGroupId(data) {
    return $http.post(
        '/wx/parkBrief/getByGroupId',
        data, {}
    )
}

// 共享资源列表
export function getMeetingRoomList(data) {
    return $http.post(
        '/wx/meetingRoom/getMeetingRoomList',
        data, {}
    )
}

// 共享资源详情
export function meetingRoomDetail(data) {
    return $http.post(
        '/wx/meetingRoom/meetingRoomDetail',
        data, {}
    )
}

// 获取共享资源可选的时间段
export function roomTimeSoltUseful(data) {
    return $http.post(
        '/wx/meetingRoom/roomTimeSoltUseful',
        data, {}
    )
}

// 获取共享资源时间段状态
export function roomTimeSoltDetail(data) {
    return $http.post(
        '/wx/meetingRoom/roomTimeSoltDetail',
        data, {}
    )
}

// 共享资源预约 新增
export function meetingAppoint(data) {
    return $http.post(
        '/wx/meetingRoom/meetingAppoint',
        data, {}
    )
}

// 共享资源预约时间段校验
export function meetingAppointCheck(data) {
    return $http.post(
        '/wx/meetingRoom/meetingAppointCheck',
        data, {}
    )
}


// 共享资源预约 历史
export function getMeetingAppointListApp(data) {
    return $http.post(
        '/wx/meetingAppoint/getMeetingAppointListApp',
        data, {}
    )
}


// 共享资源预约 编辑
export function meetingAppointEdit(data) {
    return $http.post(
        '/wx/meetingAppoint/edit',
        data, {}
    )
}

// 共享资源预约 详情
export function meetingAppointDetail(e) {
    return $http.post(
        '/wx/meetingAppoint/meetingAppointDetail', e, {}
    )
}

// // 共享资源预约 审核
export function meetingAppointConfirmAudit(e) {
    return $http.post(
        '/wx/meetingAppoint/confirmAudit', e, {}
    )
}


// 查询用户部门
export function getUserDept(data) {
    return $http.post(
        '/wx/PubController/getUserDept',
        data, {}
    )
}


// 新增企业预定
export function parkRoomSlateAdd(e) {
    return $http.post(
        '/wx/ParkRoomSlateController/add', e, {}
    )
}

// 我的预定
export function parkRoomSlateList(e) {
    return $http.post(
        '/wx/ParkRoomSlateController/listAll', e, {}
    )
}

// 删除房源预定
export function parkRoomSlateRemove(e) {
    return $http.post(
        '/wx/ParkRoomSlateController/remove', e, {}
    )
}


// 房源预定详情
export function getParkRoomSlateInfoById(e) {
    return $http.post(
        '/wx/ParkRoomSlateController/getById', e, {}
    )
}

// 编辑企业预定
export function parkRoomSlateEdit(e) {
    return $http.post(
        '/wx/ParkRoomSlateController/edit', e, {}
    )
}

// 添加至我的招商
export function parkRoomSlateAddSale(e) {
    return $http.post(
        '/wx/ParkRoomSlateController/addSale', e, {}
    )
}

// 新增物业通知
export function propertyNoticeAdd(e) {
    return $http.post(
        '/wx/propertyNotice/add', e, {}
    )
}

export function propertyNoticeEdit(e) {
    return $http.post(
        '/wx/propertyNotice/edit', e, {}
    )
}

// 我的消息列表
export function getMyList(data) {
    return $http.post(
        '/wx/information/getMyList',
        data, {}
    )
}

// 阅读我的消息
export function updateInformation(data) {
    return $http.post(
        '/wx/information/updateInformation',
        data, {}
    )
}

// 阅读我的消息2
export function parkSystemMsgReadAdd(data) {
    return $http.post(
        '/wx/WxParkSystemMsgReadController/add',
        data, {}
    )
}

// 服务评价
export function parkServiceEvaluationAdd(data) {
    return $http.post(
        '/wx/parkServiceEvaluation/add',
        data, {}
    )
}

// 合同详情
export function getContractById(data) {
    return $http.post(
        '/wx/ParkContractManageController/getById',
        data, {}
    )
}

// 企业列表
export function getAllBaseCompany(data) {
    return $http.post(
        '/wx/company/getAllBaseCompany',
        data, {}
    )
}
